Skip to main content
`Ctrl`+`K`

# DMTSGetI2Jacobian

get `TS` implicit Jacobian evaluation function for 2nd order systems from a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetI2Jacobian(DM dm, TSI2JacobianFn **jac, void **ctx)

Not Collective

## Input Parameter

- dm - `DM` to be used with `TS`

## Output Parameters

- jac - Jacobian evaluation function, for calling sequence see `TSI2JacobianFn`

- ctx - context for Jacobian evaluation

## Note

`TSGetI2Jacobian()` is normally used, but it calls this function internally because the user context is actually associated with the `DM`.

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `TS`, `DMTSSetI2Jacobian()`, `TSGetI2Jacobian()`, `TSI2JacobianFn`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages